KTextEditor::SessionConfigInterface Class Referenceabstract

`#include <sessionconfiginterface.h>`

## Public Member Functions

unsigned int | configInterfaceNumber () const
virtual void | readSessionConfig (KConfig *)=0
virtual void | writeSessionConfig (KConfig *)=0

## Protected Member Functions

void | setSessionConfigInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateSessionConfigInterface

## Detailed Description

This is an interface to session-specific configuration of the Document, Plugin and PluginViewInterface classes.

Definition at line 34 of file sessionconfiginterface.h.

## Member Function Documentation

virtual void KTextEditor::SessionConfigInterface::readSessionConfig | ( | KConfig * |  | ) |

pure virtual

Read/Write session config of only this document/view/plugin In case of the document, that means for example it should reload the file, restore all marks, ...

The documentation for this class was generated from the following files:

- sessionconfiginterface.h
- sessionconfiginterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys